cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1737
Views
0
Helpful
9
Replies

CSPC collector - update sp-30.0.3-2-0-lnx64 - download failed

ccrfranck
Level 1
Level 1

Hello,

 

I'm trying to update the collector.

Here is the error message:

 

admin# check update

Patch versions
------------------------------------------------------
Version Number: sp-30.0.3-2-0-lnx64
Description: Collector patch to upgrade to CSPC 2.7.3.2
Required Versions: sp-30.0.3-0-0-lnx64
Optimal JeOS: jeos-30.0.3-2-lnx64
Reboot Needed: Yes
Restart Needed: Yes
Package Size: 9158909 bytes
Contents:
Component Name: CSPC Base
Version: 2.7.3.2
Description: CSPC Base 2.7.3.2
Installable: Yes

 

admin# download sp-30.0.3-2-0-lnx64
execute % Error occured while executing command

 

I've tried many ways by adding several extensions and I've searched information about this issue but without success.

 

If someone has an idea...

 

Thanking you in advance.

 

Renaud

 

 

 

1 Accepted Solution

Accepted Solutions

Hi Adias,

 

Thank you for your help. You're right, I made mistake applying commands. I've also added this "72.163.4.74 cloudsso.cisco.com" in my /etc/hosts file (even if I'm not using proxy).

Now it works.

 

Regards.

 

Renaud

 

View solution in original post

9 Replies 9

Jarrett Pomeroy
Cisco Employee
Cisco Employee

Hello ccrfranck,

 

Can you please see if using the steps in the section "Enable Upgrades using LCM Software Updates" of the latest release notes helps to resolve your issue?  There are a few new additional host-names which we will need to add in order for the download to work.

 

2.7.3.2 Release Notes

 

Thank you,

Jarrett

Hello,

I've followed step by step procedure with additionals host-names to add. Without results.
Regards.

Renaud

Hello ccrfranck ,
Can you please provide me the current version of your CSPC? You can find this by running the command "show ver -d".
Thank you,
Jarrett

Hello ccrfranck ,
Can you please also provide details if you are using a proxy or not on your setup?
Thank you,
Jarrett

Hello,

 

Here is the show ver.

I don't use a proxy.

 

Thank you.

Renaud

admin# show ver -d
        Build-name   : Collection Platform Software 2.7.3

        Package-type : ServicePack
        Version      : sp-30.0.3-0-0-lnx64
             Component : CSPC Base
             Version   : 2.7.3
        Package-type : JeOS
        Version      : jeos-30.0.3-0-lnx64
             Component : AdminShell
             Version   : 1.6
             Component : LCM
             Version   : 1.6
             Component : CASP
             Version   : 2.7.3
             Component : ConcsoTgw
             Version   : 1.7.0
             Component : Hardened CentOS
             Version   : 6.8 patch#0

Hello ,

Can you please complete the commands under the section "Known Issue" on the Release Notes here?  Once completed, can you re-start your download command and see if it completes successfully on the new attempt.

Thank you,

Jarrett

I've already tried this but I've got this message:

 

[root@nrb0198av bin]# update updates set PACKAGE_STATUS = 'Apply-failed';
-bash: update: command not found

 

An idea?

 

Renaud

That above command is not a root command and you incorrectly applied it there. The command it is a derby database tool command and you would had to connect to it from a derby prompt once you apply the line commands that are delineated on the release notes document for 2.7.3.2 prior to issue the command. If successful you should had given you a prompt like ij>.  

In any case prior to attempt that again send me the following below commands from root prompt and admin prompt

 

FROM ROOT USER

# tail -150  /opt/LCM/logs/install

and

# env | grep proxy

and

# ls -lart /opt/LCM/tmp/

and

# ls -lart /opt/LCM/tmp/downloads

 

FROM ADMIN USER

 

admin# show version -d

admin# show downloads

admin# show apply

 

 

Hi Adias,

 

Thank you for your help. You're right, I made mistake applying commands. I've also added this "72.163.4.74 cloudsso.cisco.com" in my /etc/hosts file (even if I'm not using proxy).

Now it works.

 

Regards.

 

Renaud